/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { ForceIndexIndicatorStrategy } from "./ForceIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let ForceIndexIndicator = /*@__PURE__*/ (() => {
    class ForceIndexIndicator extends StrategyBasedIndicator {
        constructor() {
            super();
        }
        get_tn() {
            return 1;
        }
        get_ug() {
            return new ForceIndexIndicatorStrategy();
        }
        get ug() {
            return this.get_ug();
        }
        get_ut() {
            return ForceIndexIndicator.$;
        }
        get ut() {
            return this.get_ut();
        }
        get u1() {
            return typeGetValue(this.c(ForceIndexIndicator.u2));
        }
        set u1(a) {
            this.h(ForceIndexIndicator.u2, a);
        }
        um() {
            return this.u1;
        }
        uv(a) {
            this.u1 = a;
        }
    }
    ForceIndexIndicator.$t = markType(ForceIndexIndicator, 'ForceIndexIndicator', StrategyBasedIndicator.$);
    ForceIndexIndicator.u2 = StrategyBasedIndicator.uy(0, ForceIndexIndicator.$);
    return ForceIndexIndicator;
})();
